Bug 113065 - RTL: Inserted textbox should use current text direction and not always use LTR
Summary: RTL: Inserted textbox should use current text direction and not always use LTR
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112596 (view as bug list)
Depends on:
Blocks: RTL-Textbox
  Show dependency treegraph
 
Reported: 2017-10-12 12:22 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-16 03:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-12 12:22:30 UTC
steps:
1. open writer with an rtl locale set (e.g. arabic or hebrew)
2. notice that the align right and right-to-left buttons are toggled in the formatting toolbar
3. insert a textbox (Insert > Textbox or click the textbox toolbar button)
4. notice that the align right button is toggled in the text object toolbar, but the left-to-right button is toggled for text direction

Version: 6.0.0.0.alpha0+
Build ID: 4d1ee296def5fde9c77702d3d19d76be33cbdaad
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: ar-SA (en_US.UTF-8); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2017-10-12 12:31:23 UTC
*** Bug 112596 has been marked as a duplicate of this bug. ***
Comment 2 Omer Zak 2017-11-15 12:35:20 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


However: align left button is toggled in he text object toolbar, not align right button.
LTR button is toggled, same as reported in the Description.
Comment 3 QA Administrators 2018-11-16 03:42:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug